vn_unsign 0.2.0

  • Readme
  • Changelog
  • Example
  • Installing
  • 58

vn_unsign #

Renamed to tiengviet from 22-04-2019

Convert vietnamese sign to unsign easily.

Give me a string vietnamese language, i will respond you string vietnamese unsigned.

Build Status GitHub

Loại bỏ dấu tiếng việt một cách dễ dàng với vn_unsign

Getting Started #

import 'package:vn_unsign/vn_unsign.dart';

print(vn('Xin chào việt nam')); // xin chao viet nam

Contributors #

Vi Chi Thien
Vi Chi Thien

Version 0.2.0 (22-04-2019) #

  • Rename package vn_unsign to tiengviet

Version 0.1.0 (21-04-2019) #

  • First version of the vn_unsign package

example/main.dart

import 'package:vn_unsign/vn_unsign.dart';

main() {
  var str = vn("Hello Việt Nam");
  print(str);// Hello Viet Nam
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  vn_unsign: ^0.2.0

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:vn_unsign/vn_unsign.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
16
Health:
Code health derived from static analysis. [more]
99
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
58
Learn more about scoring.

We analyzed this package on Oct 16, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.5.1
  • pana: 0.12.21

Platforms

Detected platforms: Flutter, web, other

No platform restriction found in primary library package:vn_unsign/vn_unsign.dart.

Health issues and suggestions

Document public APIs. (-1 points)

6 out of 6 API elements have no dartdoc comment.Providing good documentation for libraries, classes, functions, and other API elements improves code readability and helps developers find and use your API.

Format lib/vn_unsign.dart.

Run dartfmt to format lib/vn_unsign.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=1.19.0 <3.0.0
Dev dependencies
test ^1.0.0